@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

* {
    box-sizing: border-box;
}

body,
html {
    margin: 0;
    padding: 0;
    font-family: "Roboto", sans-serif;
    background-color: #ffde66;
    min-height: 100vh;
    text-align: justify;
    display: flex;
    width: 100%;
}

html {
    scroll-behavior: smooth;
}

main{
    background-color: white;
    width: 70%;
    margin: auto;
    border: solid black 5px;
    color: black;
}

.bannercontainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    border-bottom: solid black 2px;
}

.maincontainer{
    padding: 20px 50px;
    display: block;
}

.btncontainer{
    width: 100%;
    padding: 5px;
    flex-wrap: wrap;
    display: flex;
    justify-content: center;
    gap: 15px;
}

.btn, .webringcontainer {
    border: none;
    outline: solid 2px;
    padding: 12px 16px;
    background-color: #f1f1f1;
    color: black;
    cursor: pointer;
    text-decoration: none;
}
.webringcontainer {
    margin: 6px 0;
    display: block;
    justify-items: center;
}
.webringcontainer .webring{
    margin: 20px;
}

.btn:hover {
    background-color: #ffde66;
    color: black;
}

.btn.active {
    background-color: #be2121;
    color: white;
}

h1 {
    text-align: center;
    font-size: 35px;
    margin: 0;
}

details summary {
    text-align: center;
    font-size: 35px;
    font-weight: bold
}

.gallerybox {
	border: solid black 2px;
    padding: 12px 16px;
    background-color: #f1f1f1;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 10px;
}

.gallerybox img{
    border: solid black 1px;
    transition: transform 0.3s ease;
}

.gallerybox img:hover{
    filter: drop-shadow(0 0 30px #fff279);
    transform: scale(1.02) rotate(2deg);
    image-rendering: pixelated;
}

.copymy button{
	display: flex;
	flex-wrap: wrap;
	align-content: center;
	justify-content: center;
	row-gap: 5px;
	padding: 10px 5px;
    border: solid black 1px;
}

.copymy button:hover{
	background-color: #fff8c3;
	border: solid black 1px;
}

.copymy img{
	width: 100%;
	image-rendering: pixelated;
	border: none;
}

@media only screen and (max-width: 800px) {
  main {
    width: 100%;
  }
}